<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varTitulo = "AVANCE DE VENTAS POR VENDEDOR";	
	$objResponse=new xajaxResponse();
	
	$varFIni = ($varForm["fini"]=="") ? "NULL" : "'".FechaMySql($varForm["fini"])."'";
	$varFFin = ($varForm["ffin"]=="") ? "NULL" : "'".FechaMySql($varForm["ffin"])."'";
	$varPro  = ($varForm["pcod"]=="")?"NULL":$varForm["pcod"];
	if($varForm["tip"]=="R") {
		$sql = "call spQuery_Avance_Ventas_Vendedor($varForm[ecod], '$varForm[anio]', '$varForm[mes]', $varPro, $varFIni, $varFFin);";
		$_SESSION["expor_sql_1"] =  $sql;
		$_SESSION["expor_sql_2"] = NULL;
		$objResponse->redirect("../export.php?page=$varTitulo");
		}
	else {
		$sql = "call spQuery_Avance_Ventas_Vendedor_Max($varForm[ecod], '$varForm[anio]', '$varForm[mes]', $varPro, $varFIni,  $varFFin);";
		$varCab = array(array("cab"=>"PREVENTA GENERAL", "det"=>array("PREV","PEDID","PDV")),
						array("cab"=>"VENTA EFECTIVA", "det"=>array("CUOTA","VENTA","%AVAN","%EFEC")),
						array("cab"=>"TENDENCIA", "det"=>array("NECDIA", "TEND", "%CUOTA")),
						array("cab"=>"VENTA RECHAZADA", "det"=>array("MONTO", "%CUOTA", "%PREV")),
						array("cab"=>"PEDIDOS", "det"=>array("EFEC.", "RECH.", "%RECH.")),
						array("cab"=>"PUNTOS DE VENTA", "det"=>array("EFEC.", "RECH.", "%RECH."))
						);
		$varNiv = array(0 =>array("COD"=>"CVEN","DES"=>"VENDEDOR"),
						1 =>array("COD"=>"CTIP","DES"=>"TIPO"),
						2 =>array("COD"=>"CEMP","DES"=>"EMPRESA"));
		$varFor = array(11=>array("tipodat"=>"porc", "formula"=>array("valor1"=>9, "valor2"=>10, "funcion"=>"porc")),
						12=>array("tipodat"=>"porc", "formula"=>array("valor1"=>6, "valor2"=>10, "funcion"=>"porc")),
						15=>array("tipodat"=>"porc", "formula"=>array("valor1"=>9, "valor2"=>13, "funcion"=>"porc")),
						17=>array("tipodat"=>"porc", "formula"=>array("valor1"=>9, "valor2"=>16, "funcion"=>"porc")),
						18=>array("tipodat"=>"porc", "formula"=>array("valor1"=>6, "valor2"=>16, "funcion"=>"porc")),
						21=>array("tipodat"=>"porc", "formula"=>array("valor1"=>7, "valor2"=>20, "funcion"=>"porc")),
						24=>array("tipodat"=>"porc", "formula"=>array("valor1"=>8, "valor2"=>23, "funcion"=>"porc"))
						);
		$_SESSION["_varNiv"] = $varNiv;
		$_SESSION["_varPag"] = $varTitulo;
		$_SESSION["_varCab"] = $varCab;
		$_SESSION["_varSql"] = $sql;
		$_SESSION["_varFor"] = $varFor;
		$objResponse->redirect("../export_grid_combinado.php?page=$varTitulo");
		}    
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAvanceVendedores($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'comboMesMetas');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}		
		}
		
	function xExportarJS() {
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varAni = xajax.$("anio").value;
		var varMes = xajax.$("mes").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varPro = xajax.$("pcod").value;
		var varTip = xajax.$("tip").value;
		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			var Ruta = 'print/print_avance_ventas_vendedor.php?ecod='+varEmp+'&anio='+varAni+'&mes='+varMes+'&fini='+varIni+'&ffin='+varFin+'&tip='+varTip+'&pcod='+varPro;
			testwindow= window.open (Ruta, "print_avance_ventas_vendedor", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}
		}

</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>